Subject: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Nov 2013 22:35:05 +0200

> From: "Sebastien Vauban" <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 13 Nov 2013 21:23:14 +0100
> 
> Eli Zaretskii wrote:
> >> From: "Sebastien Vauban" <[email-masked]>
> >> Date: Wed, 13 Nov 2013 15:04:06 +0100
> >> Cc: [email-masked]
> >> 
> >> - Moving with C-up/down takes more time with latest Emacs, and uses up to 33%
> >>   of my CPU (vs about 1% with rev 114715).
> >> 
> >> - S-TAB'ing in an Org mode file takes 20s (vs 1s with rev 114715) and eats up
> >>   to 33% of my CPU as well.
> >
> > Try setting cache-long-scans to nil in your Org buffers, and see if
> > that makes any change.  If it does, then please report as a bug with
> > some minimal reproduction recipe starting with "emacs -Q".
> 
> It does not, as you can see in http://screencast.com/t/nBZ9VqyyW.

Thanks.  I expected that, but wanted to be sure.

> BTW, I was expecting it to be so, as I'm using a Git copy of Org [1] -- this
> was not said in my mail. Hence, if a change in Org was responsible for the
> problem, I *should* have it in both Emacs versions or not at all, no?

I was not talking about changes in Org.